# Transaction Class Reference
[Tools for working with transactions]

Transaction's factory. More...

Inheritance diagram for Transaction:
[legend]

List of all members.

## Static Public Member Functions

static | immediate (DB $db)
static | deferred (DB $db)
static | fake (DB $db)

## Detailed Description

Transaction's factory.

Definition at line 17 of file Transaction.class.php.

## Member Function Documentation

static Transaction::deferred | ( | DB $ | db | ) | `[static]`

Returns:
  TransactionQueue

Definition at line 30 of file Transaction.class.php.

static Transaction::fake | ( | DB $ | db | ) | `[static]`

Returns:
  FakeTransaction

Definition at line 38 of file Transaction.class.php.

static Transaction::immediate | ( | DB $ | db | ) | `[static]`

Returns:
  DBTransaction

Definition at line 22 of file Transaction.class.php.

The documentation for this class was generated from the following file:

- core/DB/Transaction/Transaction.class.php